@import 'assets/variables';

.root {
  min-height: 300px;
  height: fit-content;
  width: 250px;
  position: relative;
}

.promptParagraph {
  margin-bottom: $cell * 2;
}

.buttons {
  position: absolute;
  bottom: $cell;
  width: 100%;
  display: flex;
  justify-content: flex-end;
  padding: 0 $cell * 1;

  .next {
    opacity: 1;
    background-color: $blood-red !important;
    color: white !important;

    &:hover {
      background-color: $dark-blood-red !important;
    }
  }

  .back {
    margin-right: $cell * 2;
    opacity: 0.7;

    &:hover {
      opacity: 1;
    }
  }
}

.inlineDropdown {
  margin-left: $cell;
}

.content {
  margin-bottom: $cell * 5;
}

.resultWrap {
  margin: $cell * 2;
  flex-direction: column;
  display: flex;
  align-items: center;

  .resultText {
    color: $mid-grey;
    font-size: 1.1rem;
    margin-bottom: $cell * 4;
    margin-top: $cell * 4;
  }

  .resultValue {
    font-weight: 500;
    font-size: 1.4rem;
  }
}